package com.cooleshow.usercenter.data.api


import com.cooleshow.base.data.net.BaseResponse
import com.cooleshow.usercenter.bean.UserInfo
import com.cooleshow.usercenter.data.protocol.RegisterReq
import io.reactivex.rxjava3.core.Observable
import retrofit2.http.Body
import retrofit2.http.FieldMap
import retrofit2.http.FormUrlEncoded
import retrofit2.http.POST


/*
    用户相关 接口
 */
interface UserApi{

    /*
        用户注册
     */
    @POST("userCenter/register")
    fun register(@Body req: RegisterReq): Observable<BaseResponse<String>>

    /*
        用户登录
     */
    @FormUrlEncoded
    @POST("api-auth/usernameLogin")
    fun login(@FieldMap req: MutableMap<String?,String?>):Observable<BaseResponse<UserInfo>>

    /*
        忘记密码
//     */
//    @POST("userCenter/forgetPwd")
//    fun forgetPwd(@Body req:ForgetPwdReq):Observable<BaseResp<String>>
//
//    /*
//        重置密码
//     */
//    @POST("userCenter/resetPwd")
//    fun resetPwd(@Body req:ResetPwdReq):Observable<BaseResp<String>>
//
//    /*
//        编辑用户资料
//     */
//    @POST("userCenter/editUser")
//    fun editUser(@Body req:EditUserReq):Observable<BaseResp<UserInfo>>
}
